# Clusters of cooperative ion channels enable a membrane potential-based mechanism for short-term memory

This data repository holds the dynamic clamp recordings and analysis scripts to test whether cooperative ion channels could produce persistent activity in perirhinal cortex neurons. 

## Overview

### Recordings 
Cells were patchclamped and the dynamic clamp was used to emulate the presence of multiple clusters of cooperative ion channels. in the membrane.Succesive current pulses were used to test for persistent activity and graded persistent activity. 

### Analysis

The stimulation protocols were categorized according to the number of pulses and whether the pulses were de- or hyperpolarizing. Then recordings with increasing (respectively decreasing) levels of persistent activity were labelled as successful trials. 

### Structure of the repository
The repository is structured as follows
- `recordings`: each folder in here corresponds to a recording session from the recording software [RELACS](http://relacs.sourceforge.net/index.html)
- `metadata`: contains a mapping of cells to the above recording sessions and a manually created blacklist of protocols that are excluded from the analysis
- `scripts`: python scripts to read in the recordings, analyse the firing rates and generate a report
- `out`: contains the automatically generated pdf report with an overview of all cells and plots of each stimulation

### How to rerun the analysis

Tested in Linux

1. Install python dependencies e.g. via conda
   
   ```bash
   conda env create -f environment.yml 
   ```
2. Run analysis and generate the report

   ```bash
   make all 
   ```
